ReportEntry (Resource Management Library 2.8.1-SNAPSHOT API)
Date: 2018-11-05

org.gcube.resourcemanagement.support.server.managers.report

## Class ReportEntry

- java.lang.Object
- - org.gcube.resourcemanagement.support.server.managers.report.ReportEntry

-     public class ReportEntry
      extends Object

  Author:
    Daniele Strollo (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportEntry(ReportOperation operation, AbstractResourceManager resource)`
    `ReportEntry(ReportOperation operation, AbstractResourceManager resource, boolean success)`
    `ReportEntry(ReportOperation operation, AbstractResourceManager resource, String message, boolean success)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReportOperation` | `getOperation()`
    `AbstractResourceManager` | `getResource()`
    `boolean` | `isSuccess()`
    `void` | `setMessage(String message)`
    `void` | `setMessage(Throwable ex)`
    `void` | `setSuccess(boolean success)`
    `String` | `toString()`
    `String` | `toXML()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportEntry

          public ReportEntry(ReportOperation operation,
                     AbstractResourceManager resource)
                      throws AbstractResourceException

      Throws:
        `AbstractResourceException`

    - #### ReportEntry

          public ReportEntry(ReportOperation operation,
                     AbstractResourceManager resource,
                     boolean success)
                      throws AbstractResourceException

      Throws:
        `AbstractResourceException`

    - #### ReportEntry

          public ReportEntry(ReportOperation operation,
                     AbstractResourceManager resource,
                     String message,
                     boolean success)
                      throws AbstractResourceException

      Throws:
        `AbstractResourceException`

  - ### Method Detail

    - #### getOperation

          public final ReportOperation getOperation()

    - #### getResource

          public final AbstractResourceManager getResource()

    - #### isSuccess

          public final boolean isSuccess()

    - #### setSuccess

          public final void setSuccess(boolean success)

    - #### setMessage

          public final void setMessage(String message)

    - #### setMessage

          public final void setMessage(Throwable ex)

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`

    - #### toXML

          public final String toXML()

Copyright © 2018. All Rights Reserved.